org.apache.maven.usability

## Class ProfileActivationDiagnoser

- java.lang.Object
- - org.apache.maven.usability.ProfileActivationDiagnoser

- All Implemented Interfaces:
    ErrorDiagnoser

      public class ProfileActivationDiagnoser
      extends java.lang.Object
      implements ErrorDiagnoser

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.usability.diagnostics.ErrorDiagnoser

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProfileActivationDiagnoser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canDiagnose(java.lang.Throwable error)`
    `java.lang.String` | `diagnose(java.lang.Throwable error)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProfileActivationDiagnoser

          public ProfileActivationDiagnoser()

  - ### Method Detail

    - #### canDiagnose

          public boolean canDiagnose(java.lang.Throwable error)

      Specified by:
        `canDiagnose` in interface `ErrorDiagnoser`

    - #### diagnose

          public java.lang.String diagnose(java.lang.Throwable error)

      Specified by:
        `diagnose` in interface `ErrorDiagnoser`